with GNATCOM.Dispinterface;

package MSHTML.IHTMLFrameBase_Interface is

   type IHTMLFrameBase_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLFrameBase_Type);

   function Pointer (This : IHTMLFrameBase_Type)
     return Pointer_To_IHTMLFrameBase;

   procedure Attach (This    : in out IHTMLFrameBase_Type;
                     Pointer : in     Pointer_To_IHTMLFrameBase);

   procedure Put_src
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_border
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_border
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_frameBorder
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_frameBorder
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_frameSpacing
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_frameSpacing
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_marginWidth
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_marginWidth
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_marginHeight
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_marginHeight
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_noResize
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_noResize
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_scrolling
     (This : IHTMLFrameBase_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_scrolling
     (This : IHTMLFrameBase_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLFrameBase_Interface;

